Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05493 Crash/Freeze Critical (emulator) Always Apr 9, 2014, 00:10 Sep 18, 2014, 21:27
Tester Tafoid View Status Public Platform
Assigned To galibert Resolution Fixed OS
Status [?] Resolved Driver itgambl2.cpp
Version 0.153 Fixed in Version 0.155 Build
Summary 05493: All sets in itgambl2.c: Crash before OK
Description Crashes before OK and Info with:

(normal build)
Exception at EIP=02774B5E (address_table::populate_range(unsigned int, unsigned int, unsigned short)+0x02c6): ACCESS VIOLATION

(debug build)
FATALERROR: Called subtable_release on a table with a usecount of 0
Steps To Reproduce
Additional Information Suspect issues surrounding new H8 core (r28943)
Flags
Regression Version 0.153
Affected Sets / Systems All sets in itgambl2.c
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.10556
Firewave
Senior Tester
Apr 10, 2014, 21:54
I get the following on Linux:

mame64d: src/lib/util/coretmpl.h:83: _ElementType &dynamic_array<unsigned short>::operator[](int) [_ElementType = unsigned short]: Assertion `index < m_count' failed.
User avatar
No.10559
Osso
Developer
Apr 11, 2014, 17:25
Commenting out line 151

 ADDRESS_MAP_GLOBAL_MASK(0xffffff)

avoids the crash, but it's just a workaround so I won't commit it. Maybe it can help identify the problem and find a correct fix, though.
User avatar
No.10984
M.A.S.H.
Senior Tester
Sep 18, 2014, 21:27
Fixed by O. Galibert in r32151:

Message:
itgambl2: De-insanify the address map, fixes MT5493